# Uses of Enum Class
com.ocient.jdbc.proto.ClientWireProtocol.Request.RequestType

Packages that use ClientWireProtocol.Request.RequestType
Package
Description
com.ocient.jdbc.proto

## Uses of ClientWireProtocol.Request.RequestType in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return ClientWireProtocol.Request.RequestType
Modifier and Type
Method
Description
`static ClientWireProtocol.Request.RequestType`
ClientWireProtocol.Request.RequestType.`forNumber(int value)`
`ClientWireProtocol.Request.RequestType`
ClientWireProtocol.Request.Builder.`getType()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`ClientWireProtocol.Request.RequestType`
ClientWireProtocol.Request.`getType()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`ClientWireProtocol.Request.RequestType`
ClientWireProtocol.RequestOrBuilder.`getType()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`static ClientWireProtocol.Request.RequestType`
ClientWireProtocol.Request.RequestType.`valueOf(int value)`
Deprecated.
`static ClientWireProtocol.Request.RequestType`
ClientWireProtocol.Request.RequestType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.Request.RequestType`
ClientWireProtocol.Request.RequestType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.Request.RequestType[]`
ClientWireProtocol.Request.RequestType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc.proto that return types with arguments of type ClientWireProtocol.Request.RequestType
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<ClientWireProtocol.Request.RequestType>`
ClientWireProtocol.Request.RequestType.`internalGetValueMap()`
Methods in com.ocient.jdbc.proto with parameters of type ClientWireProtocol.Request.RequestType
Modifier and Type
Method
Description
`ClientWireProtocol.Request.Builder`
ClientWireProtocol.Request.Builder.`setType(ClientWireProtocol.Request.RequestType value)`
`.xg.cmdcomp.Request.RequestType type = 1;`